Bug 496525 - Review Request: tritonus - Java Sound API Implementation
Review Request: tritonus - Java Sound API Implementation
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On: 496524
Blocks: 492197
  Show dependency treegraph
 
Reported: 2009-04-19 18:17 EDT by Orcan Ogetbil
Modified: 2009-05-29 22:36 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.3.7-0.3.20090419cvs.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-29 22:29:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
akurtako: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2009-04-19 18:17:40 EDT
Spec URL: http://oget.fedorapeople.org/review/tritonus.spec
SRPM URL: http://oget.fedorapeople.org/review/tritonus-0.3.7-0.1.20090419cvs.src.rpm
Description:
Tritonus is an implementation of the Java Sound API. This package contains
common files and shared classes required by all other Tritonus plug-ins.


There are three kinds of rpmlints:
   tritonus.x86_64: E: no-binary
   tritonus.x86_64: W: only-non-binary-in-usr-lib
Some tritonus packages contain JNI files and therefore they are binary specific. For consistency, I put all tritonus jar files and JNI so files in %{_libdir}/%{name}. I think this is reasonable to do, but unfortunately it results in the above RPMs.

   tritonus-src.x86_64: W: no-documentation
Not all the subpackages have docs associated with them.
Comment 1 Alexander Kurtakov 2009-05-07 02:51:54 EDT
I'm taking this one.
Comment 2 Alexander Kurtakov 2009-05-07 02:58:01 EDT
Some of the non-versioned jars in /usr/lib/tritonus are copies not symlinks:
-tritonus_share.jar
-tritonus_core.jar
-tritonus_gsm.jar
-tritonus_remaining.jar
Once this is fixed I'll do the formal review.
Comment 3 Orcan Ogetbil 2009-05-07 04:05:39 EDT
Uh, I fixed it. What a messed up Makefile...

Spec URL: http://oget.fedorapeople.org/review/tritonus.spec
SRPM URL:
http://oget.fedorapeople.org/review/tritonus-0.3.7-0.2.20090419cvs.src.rpm

Changelog: 0.3.7-0.2.20090419cvs
- Fix duplicate files issue
Comment 4 Alexander Kurtakov 2009-05-28 07:58:54 EDT
Review:
OK; rpmlint shows a number of warnings. But the packager already explained them and I agree that they are not a problem. 
OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. 
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.
OK: License is included in %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible.
OK: Script for fetching sources is included.
OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
OK: BuildRequires are good
OK: No duplicate entries in %files listings.
OK: Permissions on files are good
OK: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content.
OK: Large documentation files must go in a -doc subpackage. Javadoc are in separate package.
OK: If a package includes something as %doc, it must not affect the runtime of the application. 
OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: All filenames in rpm packages must be valid UTF-8. 

Package is APPROVED.
Comment 5 Orcan Ogetbil 2009-05-28 21:25:07 EDT
Thank you very much!

New Package CVS Request
=======================
Package Name: tritonus
Short Description: Java Sound API Implementation
Owners: oget
Branches: F-9 F-10 F-11
InitialCC:
Comment 6 Jason Tibbitts 2009-05-29 00:53:06 EDT
CVS done.
Comment 7 Fedora Update System 2009-05-29 02:00:33 EDT
tritonus-0.3.7-0.3.20090419cvs.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/tritonus-0.3.7-0.3.20090419cvs.fc11
Comment 8 Fedora Update System 2009-05-29 02:01:14 EDT
tritonus-0.3.7-0.3.20090419cvs.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/tritonus-0.3.7-0.3.20090419cvs.fc10
Comment 9 Fedora Update System 2009-05-29 02:02:05 EDT
tritonus-0.3.7-0.3.20090419cvs.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/tritonus-0.3.7-0.3.20090419cvs.fc9
Comment 10 Fedora Update System 2009-05-29 22:29:38 EDT
tritonus-0.3.7-0.3.20090419cvs.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-05-29 22:30:37 EDT
tritonus-0.3.7-0.3.20090419cvs.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-05-29 22:36:18 EDT
tritonus-0.3.7-0.3.20090419cvs.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.